Skip to main content
GET
/
payment-purposes
cURL
curl --request GET \
  --url 'https://api.equalsmoney.com/v2/payment-purposes?accountId={{accountId}}&currencyCode={{currencyCode}}&countryCode={{countryCode}}&recipientType={{recipientType}}' \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.equalsmoney.com/v2/payment-purposes"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.equalsmoney.com/v2/payment-purposes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rows": [
    {
      "defaultPurpose": "Commission",
      "additionalPurpose": "string",
      "defaultCode": "string"
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

currencyCode
string
required

The currency code, in ISO-4217 format.

Pattern: ^[A-Z]{3}$
Example:

"USD"

countryCode
string
required

The country code, in ISO-3166 format.

Pattern: ^[A-Z]{2}$
Example:

"GB"

recipientType
enum<string>
required

The type of the recipient.

Available options:
business,
charity,
individual
Example:

"business"

Response

200 - application/json

OK

rows
object[]
required